## net.percederberg.mib.asn1.parser
Interface AsnParserConstants

All Known Implementing Classes:
  AsnParser, AsnParserTokenManager

public interface AsnParserConstants

Field Summary
`static int` `COMMENT`
`static int` `DEFAULT`
`static int` `EOF`
`static int` `TABSENT`
`static int` `TACCESS`
`static int` `TANY`
`static int` `TAPPLICATION`
`static int` `TASSIGN`
`static int` `TBAR`
`static int` `TBEGIN`
`static int` `TBINSTRING`
`static int` `TBIT`
`static int` `TBOOLEAN`
`static int` `TBY`
`static int` `TCHOICE`
`static int` `TCOMMA`
`static int` `TCOMPONENT`
`static int` `TCOMPONENTS`
`static int` `TCSTRING`
`static int` `TDEFAULT`
`static int` `TDEFINED`
`static int` `TDEFINITIONS`
`static int` `TDEFVAL`
`static int` `TDESCRIPTION`
`static int` `TDOT`
`static int` `TEND`
`static int` `TENTERPRISE`
`static int` `TENUMERATED`
`static int` `TEXPLICIT`
`static int` `TEXPORTS`
`static int` `TFALSE`
`static int` `TFROM`
`static int` `THEXSTRING`
`static int` `TIDENTIFIER`
`static int` `TIMPLICIT`
`static int` `TIMPORTS`
`static int` `TINCLUDES`
`static int` `TINDEX`
`static int` `TINTEGER`
`static int` `TLCASEFIRST_IDENT`
`static int` `TLEFTBRACE`
`static int` `TLEFTBRACKET`
`static int` `TLEFTPAREN`
`static int` `TLESSTHAN`
`static int` `TMACRO`
`static int` `TMAX`
`static int` `TMIN`
`static int` `TMINUS`
`static int` `TMINUS_INFINITY`
`static int` `TNULL`
`static int` `TNUMBER`
`static int` `TOBJECT`
`static int` `TOBJECT_TYPE`
`static int` `TOCTET`
`static int` `TOF`
`static java.lang.String[]` `tokenImage`
`static int` `TOPTIONAL`
`static int` `TPLUS_INFINITY`
`static int` `TPRESENT`
`static int` `TPRIVATE`
`static int` `TREAL`
`static int` `TREFERENCE`
`static int` `TRIGHTBRACE`
`static int` `TRIGHTBRACKET`
`static int` `TRIGHTPAREN`
`static int` `TSEMI_COLON`
`static int` `TSEQUENCE`
`static int` `TSET`
`static int` `TSIZE`
`static int` `TSTATUS`
`static int` `TSTRING`
`static int` `TSYNTAX`
`static int` `TTAGS`
`static int` `TTRAP_TYPE`
`static int` `TTRUE`
`static int` `TUCASEFIRST_IDENT`
`static int` `TUNIVERSAL`
`static int` `TVARIABLES`
`static int` `TWITH`

Field Detail

### EOF

    public static final int EOF

### TDOT

    public static final int TDOT

### TCOMMA

    public static final int TCOMMA

### TSEMI_COLON

    public static final int TSEMI_COLON

### TLEFTPAREN

    public static final int TLEFTPAREN

### TRIGHTPAREN

    public static final int TRIGHTPAREN

### TLEFTBRACE

    public static final int TLEFTBRACE

### TRIGHTBRACE

    public static final int TRIGHTBRACE

### TLEFTBRACKET

    public static final int TLEFTBRACKET

### TRIGHTBRACKET

    public static final int TRIGHTBRACKET

### TMINUS

    public static final int TMINUS

### TLESSTHAN

    public static final int TLESSTHAN

### TBAR

    public static final int TBAR

### TASSIGN

    public static final int TASSIGN

### TDEFINITIONS

    public static final int TDEFINITIONS

### TEXPLICIT

    public static final int TEXPLICIT

### TIMPLICIT

    public static final int TIMPLICIT

### TTAGS

    public static final int TTAGS

### TBEGIN

    public static final int TBEGIN

### TEND

    public static final int TEND

### TEXPORTS

    public static final int TEXPORTS

### TIMPORTS

    public static final int TIMPORTS

### TFROM

    public static final int TFROM

### TMACRO

    public static final int TMACRO

### TINTEGER

    public static final int TINTEGER

### TREAL

    public static final int TREAL

### TBOOLEAN

    public static final int TBOOLEAN

### TNULL

    public static final int TNULL

### TBIT

    public static final int TBIT

### TOCTET

    public static final int TOCTET

### TSTRING

    public static final int TSTRING

### TENUMERATED

    public static final int TENUMERATED

### TSEQUENCE

    public static final int TSEQUENCE

### TSET

    public static final int TSET

### TOF

    public static final int TOF

### TCHOICE

    public static final int TCHOICE

### TUNIVERSAL

    public static final int TUNIVERSAL

### TAPPLICATION

    public static final int TAPPLICATION

### TPRIVATE

    public static final int TPRIVATE

### TANY

    public static final int TANY

### TDEFINED

    public static final int TDEFINED

### TBY

    public static final int TBY

### TOBJECT

    public static final int TOBJECT

### TIDENTIFIER

    public static final int TIDENTIFIER

### TINCLUDES

    public static final int TINCLUDES

### TMIN

    public static final int TMIN

### TMAX

    public static final int TMAX

### TSIZE

    public static final int TSIZE

### TWITH

    public static final int TWITH

### TCOMPONENT

    public static final int TCOMPONENT

### TCOMPONENTS

    public static final int TCOMPONENTS

### TPRESENT

    public static final int TPRESENT

### TABSENT

    public static final int TABSENT

### TOPTIONAL

    public static final int TOPTIONAL

### TDEFAULT

    public static final int TDEFAULT

### TTRUE

    public static final int TTRUE

### TFALSE

    public static final int TFALSE

### TPLUS_INFINITY

    public static final int TPLUS_INFINITY

### TMINUS_INFINITY

    public static final int TMINUS_INFINITY

### TOBJECT_TYPE

    public static final int TOBJECT_TYPE

### TTRAP_TYPE

    public static final int TTRAP_TYPE

### TSYNTAX

    public static final int TSYNTAX

### TACCESS

    public static final int TACCESS

### TSTATUS

    public static final int TSTATUS

### TDESCRIPTION

    public static final int TDESCRIPTION

### TREFERENCE

    public static final int TREFERENCE

### TINDEX

    public static final int TINDEX

### TDEFVAL

    public static final int TDEFVAL

### TENTERPRISE

    public static final int TENTERPRISE

### TVARIABLES

    public static final int TVARIABLES

### TBINSTRING

    public static final int TBINSTRING

### THEXSTRING

    public static final int THEXSTRING

### TCSTRING

    public static final int TCSTRING

### TUCASEFIRST_IDENT

    public static final int TUCASEFIRST_IDENT

### TLCASEFIRST_IDENT

    public static final int TLCASEFIRST_IDENT

### TNUMBER

    public static final int TNUMBER

### DEFAULT

    public static final int DEFAULT

### COMMENT

    public static final int COMMENT

### tokenImage

    public static final java.lang.String[] tokenImage